<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: /workplace/avs-device-sdk/ApplicationUtilities/Resources/Audio -&gt; AVSCommon Relation</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_748b5abbb33df61eda67007924a1a0cb.html">ApplicationUtilities</a></li><li class="navelem"><a class="el" href="dir_64fbf9e5512ec11acc25e4f2d433d2a3.html">Resources</a></li><li class="navelem"><a class="el" href="dir_3d91e97c9556b93865bb7c5dee8d4e5e.html">Audio</a></li>  </ul>
</div>
</div><!-- top -->
<div class="contents">
<h3>Audio &rarr; AVSCommon Relation</h3><table class="dirtab"><tr class="dirtab"><th class="dirtab">File in ApplicationUtilities/Resources/Audio</th><th class="dirtab">Includes file in AVSCommon</th></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_alerts_audio_factory_8h.html">AlertsAudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_alerts_audio_factory_interface_8h.html">AlertsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_audio_factory_8h.html">AudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_audio_factory_interface_8h.html">AudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_audio_factory_8h.html">AudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_alerts_audio_factory_interface_8h.html">AlertsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_audio_factory_8h.html">AudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_communications_audio_factory_interface_8h.html">CommunicationsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_audio_factory_8h.html">AudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_notifications_audio_factory_interface_8h.html">NotificationsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_communications_audio_factory_8h.html">CommunicationsAudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_communications_audio_factory_interface_8h.html">CommunicationsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_0fab1f71be7e23bf3bab649bfb25be86.html">include</a>&#160;/&#160;<a class="el" href="dir_e4daa45b0c4bfed0c6bb560c92d357d6.html">Audio</a>&#160;/&#160;<a class="el" href="_notifications_audio_factory_8h.html">NotificationsAudioFactory.h</a></td><td class="dirtab"><a class="el" href="dir_97afc8111b754cf401b73024f872f45d.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_17341252d14ec499eb3e1f7903ffcdf5.html">include</a>&#160;/&#160;<a class="el" href="dir_5021e1325decff0a465f80b9ba997f55.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_304e5c5f242f015339c8e1473ae913b8.html">SDKInterfaces</a>&#160;/&#160;<a class="el" href="dir_14dc454c65c959153e71a0c89341b1c0.html">Audio</a>&#160;/&#160;<a class="el" href="_notifications_audio_factory_interface_8h.html">NotificationsAudioFactoryInterface.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b51783db643fb76509d872fb0290629a.html">src</a>&#160;/&#160;<a class="el" href="_alerts_audio_factory_8cpp.html">AlertsAudioFactory.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_ec2c7a82652b9fdd3629a370bcf5850b.html">Stream</a>&#160;/&#160;<a class="el" href="_stream_functions_8h.html">StreamFunctions.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b51783db643fb76509d872fb0290629a.html">src</a>&#160;/&#160;<a class="el" href="_communications_audio_factory_8cpp.html">CommunicationsAudioFactory.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_ec2c7a82652b9fdd3629a370bcf5850b.html">Stream</a>&#160;/&#160;<a class="el" href="_stream_functions_8h.html">StreamFunctions.h</a></td></tr><tr class="dirtab"><td class="dirtab"><a class="el" href="dir_b51783db643fb76509d872fb0290629a.html">src</a>&#160;/&#160;<a class="el" href="_notifications_audio_factory_8cpp.html">NotificationsAudioFactory.cpp</a></td><td class="dirtab"><a class="el" href="dir_49dd3d9ac5586189aa170bac46425b9c.html">Utils</a>&#160;/&#160;<a class="el" href="dir_957fc395b73dfe8b64ee3f74464f588a.html">include</a>&#160;/&#160;<a class="el" href="dir_ced5fe410515ed61d81f9a22ef3eef03.html">AVSCommon</a>&#160;/&#160;<a class="el" href="dir_ee116be5d1129358ffaec72096859541.html">Utils</a>&#160;/&#160;<a class="el" href="dir_ec2c7a82652b9fdd3629a370bcf5850b.html">Stream</a>&#160;/&#160;<a class="el" href="_stream_functions_8h.html">StreamFunctions.h</a></td></tr></table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
